#pragma once

#include "CoreMinimal.h"
#include "RepairDependantPerkInterface.h"
#include "CustomCooldownPerkInterface.h"
#include "PerkWrapperSkill.h"
#include "RepairDependentPerkWrapperSkill.generated.h"

UCLASS(Blueprintable, meta=(BlueprintSpawnableComponent))
class CALAMARI_API URepairDependentPerkWrapperSkill : public UPerkWrapperSkill, public IRepairDependantPerkInterface, public ICustomCooldownPerkInterface
{
	GENERATED_BODY()

public:
	URepairDependentPerkWrapperSkill();
};

FORCEINLINE uint32 GetTypeHash(const URepairDependentPerkWrapperSkill) { return 0; }
